ChartTestDriver (jCharts-0.7.5 API)
Keywords: org.jCharts.test.ChartTestDriver,ChartTestDriver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.test
Class ChartTestDriver

    java.lang.Object
      |
      +--org.jCharts.test.ChartTestDriver

public final class ChartTestDriver
extends java.lang.Object

This file provides examples of how to create all the different chart types provided by this package.

Field Summary
`(package private) static java.lang.String` | `EXTENSION`
`private static java.lang.String` | `JPEG`
`private static java.lang.String` | `JPEG_LEGACY`
`(package private) static java.lang.String` | `OUTPUT_PATH`
`private static java.lang.String` | `PNG`
`private static java.lang.String` | `SVG`

Constructor Summary
`ChartTestDriver()`

Method Summary
`(package private) static void` | `exportImage(Chart chart, java.lang.String fileName)` Utility method to write the image to file so I do not have to deal with file i/o every time I write a test.
`static void` | `main(java.lang.String[] args)` Main method so can run as command line.
`private static void` | `testAxisScale()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SVG

    private static final java.lang.String SVG

See Also:
  Constant Field Values

### PNG

    private static final java.lang.String PNG

See Also:
  Constant Field Values

### JPEG

    private static final java.lang.String JPEG

See Also:
  Constant Field Values

### JPEG_LEGACY

    private static final java.lang.String JPEG_LEGACY

See Also:
  Constant Field Values

### OUTPUT_PATH

    static final java.lang.String OUTPUT_PATH

See Also:
  Constant Field Values

### EXTENSION

    static final java.lang.String EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### ChartTestDriver

    public ChartTestDriver()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws ChartDataException,
                            PropertyException

  Main method so can run as command line.

  Parameters:
    `args` - command line arguements.
    `ChartDataException`
    `PropertyException`

### testAxisScale

    private static void testAxisScale()

### exportImage

    static void exportImage(Chart chart,
                            java.lang.String fileName)
                     throws ChartDataException,
                            PropertyException

  Utility method to write the image to file so I do not have to deal with file i/o every time I write a test.

  Parameters:
    `chart` - verything that is renderable extends this class.
    `fileName` - what to name the file
  Throws:
    `ChartDataException`
    `PropertyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD